Skip to content

Gets the current status and results for a query that has previously been started

Request

Gets the current status and results for a query that has previously been started

Security
knox-authorizer
Path
tenantIdstringrequired

Parameters to the query

idstringrequired

The ID of a previously started query

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/system/system-v1/queries/{tenantId}/describe/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The query details were located successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
durationnumber, (float)(Duration)

The query execution time

has_result_setboolean(Has Result Set)

Did this query return data?

idstring(ID)

The id of the query

metadata_uristring(Metadata Uri)

The location where you can download the metadata for this query

rowsnumber, (float)(Rows)

The number of rows returned by this query

schedule_idstring(Schedule)

The ID of the query delivery schedule that initiated this query

sizenumber, (float)(Size)

The size of the data returned by this query

statusstring(Status)

The current status of the query

sys_created_atstring, (date-time)(Sys Created At)

The date/time that this query was started

sys_created_by_idstring(Sys Created By)

The ID of the user that created this record

sys_last_modified_atstring, (date-time)(Sys Last Modified At)

The date/time that this query status was last updated

sys_last_modified_by_idstring(Sys Last Modified By)

The ID of the user that last modified this record

uristring(Uri)

The location where you can download the results of this query

Response
{ "duration": 0.1, "has_result_set": true, "id": "string", "metadata_uri": "string", "rows": 0.1, "schedule_id": "string", "size": 0.1, "status": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "uri": "string" }